2018-08-19  Morten Welinder <terra@gnome.org>

	* Release 1.12.43

2018-08-09  Morten Welinder <terra@gnome.org>

	* Release 1.12.42

2018-05-07  Morten Welinder <terra@gnome.org>

	* Release 1.12.41

2018-04-29  Morten Welinder <terra@gnome.org>

	* Release 1.12.40

2018-03-13  Morten Welinder <terra@gnome.org>

	* Release 1.12.39

2017-12-29  Morten Welinder  <terra@gnome.org>

	* functions.c (function_marshal_arg): Simplify.

2017-12-28  Morten Welinder <terra@gnome.org>

	* Release 1.12.38

2017-12-01  Morten Welinder <terra@gnome.org>

	* Release 1.12.37

2017-11-22  Morten Welinder  <terra@gnome.org>

	* functions.c (math_functions): Mark COUNT, COUNTA, PERMUT, and
	PERMUTATIONA as unitless.
	(gnumeric_permutationa): Be more compatible and about overflow
	where possible.

2017-11-20  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_mode_mult): Plug leak.

2017-11-18  Morten Welinder <terra@gnome.org>

	* Release 1.12.36

2017-07-06  Morten Welinder <terra@gnome.org>

	* Release 1.12.35

2017-03-20  Morten Welinder <terra@gnome.org>

	* Release 1.12.34

2017-01-30  Morten Welinder <terra@gnome.org>

	* Release 1.12.33

2016-08-20  Morten Welinder <terra@gnome.org>

	* Release 1.12.32

2016-06-29  Morten Welinder <terra@gnome.org>

	* Release 1.12.31

2016-06-17  Morten Welinder <terra@gnome.org>

	* Release 1.12.30

2016-05-06  Morten Welinder <terra@gnome.org>

	* Release 1.12.29

2016-03-22  Morten Welinder <terra@gnome.org>

	* Release 1.12.28

2016-02-06  Morten Welinder <terra@gnome.org>

	* Release 1.12.27

2016-01-28  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_percentrank): Return #NUM for empty
	dataset as per docs.  Keep #NA for out-of-range.

2015-12-28  Morten Welinder <terra@gnome.org>

	* Release 1.12.26

2015-12-25  Morten Welinder <terra@gnome.org>

	* Release 1.12.25

2015-09-20  Morten Welinder <terra@gnome.org>

	* Release 1.12.24

2015-07-28  Morten Welinder <terra@gnome.org>

	* Release 1.12.23

2015-07-05  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_growth): Fix error handling.  #751970.

2015-07-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_quartile_exc): avoid division by 0
	(gnumeric_percentile_exc): ditto

2015-06-30  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_growth): Fix check for no results.  Fixes
	reopened #751659.

2015-06-29  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_growth): Properly handle that the second
	argument has a default.  Fixes #751658.

2015-06-18  Morten Welinder  <terra@gnome.org>

	* functions.c (help_percentrank_exc): Fix function name.

2015-06-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_mode_mult): new
	(gnumeric_mode_mult_cmp): new
	(gnumeric_mode_mult_rm): new
	(gnumeric_mode_mult): new
	(stat_functions): connect the above
	* plugin.xml.in: add MODE.MULT

2015-06-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_percentrank_exc): new
	(gnumeric_percentrank_exc): new
	(stat_functions): connect the above
	* plugin.xml.in: add PERCENTRANK.EXC

2015-06-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_percentile_exc): new
	(gnumeric_percentile_exc): new
	(stat_functions): connect the above
	* plugin.xml.in: add PERCENTILE.EXC

2015-06-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_quartile_exc): new
	(gnumeric_quartile_exc): new
	(stat_functions): connect the above
	* plugin.xml.in: add QUARTILE.EXC

2015-06-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_confidence_t): new
	(gnumeric_confidence_t): new
	(stat_functions): connect the above
	* plugin.xml.in: add CONFIDENCE.T

2015-04-16  Morten Welinder <terra@gnome.org>

	* Release 1.12.22

2015-03-19  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_beta_dist): Fix sample.
	(gnumeric_permutationa): Fix (0,0) case.

2015-03-04  Morten Welinder <terra@gnome.org>

	* Release 1.12.21

2015-02-04  Morten Welinder <terra@gnome.org>

	* Release 1.12.20

2015-01-23  Morten Welinder <terra@gnome.org>

	* Release 1.12.19

2014-09-25  Morten Welinder <terra@gnome.org>

	* Release 1.12.18

2014-06-09  Morten Welinder <terra@gnome.org>

	* Release 1.12.17

2014-05-23  Morten Welinder <terra@gnome.org>

	* Release 1.12.16

2014-04-30  Morten Welinder <terra@gnome.org>

	* Release 1.12.15

2014-04-13  Morten Welinder <terra@gnome.org>

	* Release 1.12.14

2014-03-18  Morten Welinder <terra@gnome.org>

	* Release 1.12.13

2014-03-03  Morten Welinder <terra@gnome.org>

	* Release 1.12.12

2014-02-16  Morten Welinder <terra@gnome.org>

	* Release 1.12.11

2014-02-11  Morten Welinder <terra@gnome.org>

	* Release 1.12.10

2014-01-12  Morten Welinder  <terra@gnome.org>

	* functions.c (random_rayleigh_pdf): Use expmx2h.

2013-11-28  Morten Welinder <terra@gnome.org>

	* Release 1.12.9

2013-10-07  Morten Welinder <terra@gnome.org>

	* Release 1.12.8

2013-09-01  Morten Welinder <terra@gnome.org>

	* Release 1.12.7

2013-08-27  Morten Welinder <terra@gnome.org>

	* Release 1.12.6

2013-08-19  Morten Welinder <terra@gnome.org>

	* Release 1.12.5

2013-07-10  Morten Welinder <terra@gnome.org>

	* Release 1.12.4

2013-07-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_negbinomdist): fix typo
	(help_tinv): fix typo
	(help_leverage): fix typo

2013-06-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_beta_dist): new
	(gnumeric_beta_dist): new
	(stat_functions): add BETA.DIST
	(plugin.xml.in): add BETA.DIST

2013-06-25  Morten Welinder <terra@gnome.org>

	* Release 1.12.3

2013-06-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_tinv): correct description

2013-05-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_snorm_dist_range): add note and seealso.

2013-05-19  Morten Welinder  <terra@gnome.org>

	* functions.c: Mark examples for translation when appropriate.

2013-05-14  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_linest): Set unused entries in the stat
	matrix to #NA for compatibility.

2013-04-26  Morten Welinder <terra@gnome.org>

	* Release 1.12.2

2013-03-09  Morten Welinder <terra@gnome.org>

	* Release 1.12.1

2013-01-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_normsdist): use correct technical term
	(help_normsinv): use correct technical term

2013-01-03  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_count, gnumeric_counta): Make this regular
	float_range_function users.
	(callback_function_count, callback_function_counta): Now unused.
	Remove.
	(gnumeric_subtotal): Regularize handling of 2 (COUNT) and 3
	(COUNTA).

2012-12-18  Morten Welinder <terra@gnome.org>

	* Release 1.12.0

2012-11-29  Morten Welinder <terra@gnome.org>

	* Release 1.11.91

2012-11-16  Morten Welinder <terra@gnome.org>

	* Release 1.11.90

2012-09-06  Morten Welinder <terra@gnome.org>

	* Release 1.11.6

2012-07-15  Morten Welinder <terra@gnome.org>

	* Release 1.11.5

2012-06-25  Morten Welinder <terra@gnome.org>

	* Release 1.11.4

2012-04-21  Morten Welinder <terra@gnome.org>

	* Release 1.11.3

2012-03-02  Morten Welinder <terra@gnome.org>

	* Release 1.11.2

2012-02-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (gnumeric_adtest): use gnm_range_adtest

2011-11-27  Morten Welinder <terra@gnome.org>

	* Release 1.11.1

2011-11-24  Morten Welinder <terra@gnome.org>

	* Release 1.11.0

2011-07-31  Morten Welinder <terra@gnome.org>

	* Release 1.10.17

2011-07-20 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (gnumeric_growth): add new argument to collect_float_pairs
	call

2011-05-21  Morten Welinder <terra@gnome.org>

	* Release 1.10.15

2011-04-08 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_ssmedian): expand the description. [#647247]

2011-04-08 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (gnumeric_ssmedian): fix typo

2011-03-24  Morten Welinder <terra@gnome.org>

	* Release 1.10.14

2011-02-02  Morten Welinder <terra@gnome.org>

	* Release 1.10.13

2011-01-07 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_binomdist): Fix typo.  [#638953]

2011-01-07  Morten Welinder  <terra@gnome.org>

	* functions.c (help_pareto): Fix typo.  [#638895]

2010-11-25  Morten Welinder <terra@gnome.org>

	* Release 1.10.12

2010-10-04 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (gnm_reg_data_collect): remember the shape of the arrays
	(help_trend): update
	(gnumeric_trend): support multiple regression

2010-10-01  Morten Welinder <terra@gnome.org>

	* Release 1.10.11

2010-09-04  Morten Welinder <terra@gnome.org>

	* Release 1.10.10

2010-08-17  Morten Welinder  <terra@gnome.org>

	* functions.c (help_expondist): Fix typo.

2010-08-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.9

2010-07-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.8

2010-07-28  Morten Welinder  <terra@gnome.org>

	* functions.c: Prune includes.

2010-06-28  Morten Welinder <terra@gnome.org>

	* Release 1.10.7

2010-06-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.6

2010-06-15  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_growth): Handle missing data.
	(gnm_reg_data_collect): Zero the right amount of data.  Fixes
	#621706.

2010-06-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: fix empty argument descriptions

2010-06-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: fix arg description of binom.dist.range

2010-06-14 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: remove inconsistent periods, etc.

2010-06-14  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_forecast): Handle missing data properly.
	Fixes #621417.
	(gnumeric_binom_dist_range): Fix precision problem when both
	end-points are near the number of trial.
	(gnumeric_steyx): Cleanup.

2010-06-13  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_growth): Simplify.

2010-06-11  Morten Welinder  <terra@gnome.org>

	* functions.c (gnm_reg_data_collect, gnm_reg_data_free): New
	functions.
	(gnumeric_linest, gnumeric_logreg, gnumeric_logest): Simplify
	using gnm_reg_data_collect.  Fixes #317426.
	(gnumeric_geomdist): Avoid using "int" for "k".
	(gnumeric_sftest): Avoid using reserved identifier.  Improve
	precision in extreme cases.

2010-06-10 Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: remove superfluous spaces, inconsistent periods, etc.

2010-05-30  Morten Welinder <terra@gnome.org>

	* Release 1.10.5

2010-05-20  Morten Welinder <terra@gnome.org>

	* Release 1.10.4

2010-05-07  Morten Welinder <terra@gnome.org>

	* Release 1.10.3

2010-04-16  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (gnumeric_chitest): correct df in rectangular case
	(help_chitest): change docs to reflect changed df

2010-04-16  Morten Welinder <terra@gnome.org>

	* Release 1.10.2

2010-04-16  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_linest, gnumeric_trend, gnumeric_forecast,
	range_slope, range_intercept, gnumeric_logreg, gnumeric_logest,
	gnumeric_growth): Handle near-singular case.

2010-04-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_ztest): fix description. [#614746]
	(help_permutationa): Fix ODF string

2010-03-08  Morten Welinder <terra@gnome.org>

	* Release 1.10.1

2010-03-03  Morten Welinder  <terra@gnome.org>

	* functions.c (help_ttest): Fix typo.

2010-02-13  Morten Welinder <terra@gnome.org>

	* Release 1.10.0

2010-01-20  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_trimmean): Fix p==1 case.  Return right
	error value.
	(gnumeric_tdist): Don't allow negative x.  Fixes #607008.

2010-01-19  Morten Welinder <terra@gnome.org>

	* Release 1.9.18

2009-12-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.17

2009-12-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	* plugin.xml.in: add RANK.AVG
	* functions.c (help_rank_avg): new
	(gnumeric_rank_avg): new
	(stat_functions): add RANK.AVG

2009-12-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_var): add some more explanation
	(help_vara): ditto

2009-12-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_stdev): simplified
	(help_vara): simplified
	(help_stdeva): simplified

2009-12-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_var): simplified

2009-11-29  Morten Welinder <terra@gnome.org>

	* Release 1.9.16

2009-11-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_cvmtest): use proper escapes

2009-11-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	* plugin.xml.in: add CVMTEST, SFTEST, LKSTEST
	* functions.c (help_cvmtest): new
	(gnumeric_sftest): new
	(help_sftest): new
	(gnumeric_lkstest): new
	(help_lkstest): new
	(gnumeric_cvmtest): new
	(stat_functions): add CVMTEST, SFTEST, LKSTEST

2009-11-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* plugin.xml.in: add ADTEST
	* functions.c (help_adtest): new
	(gnumeric_adtest): new
	(stat_functions): add ADTEST

2009-11-01  Morten Welinder <terra@gnome.org>

	* Release 1.9.15

2009-10-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_binom_dist_range): new
	(gnumeric_binom_dist_range): new
	(stat_functions): add BINOM.DIST.RANGE
	* plugin.xml.in: add BINOM.DIST.RANGE

2009-10-11  Morten Welinder <terra@gnome.org>

	* Release 1.9.14

2009-10-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (gnumeric_linest): return an error in the presence of
	  blank cells [#551234]

2009-09-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.13

2009-09-05  Morten Welinder <terra@gnome.org>

	* Release 1.9.12

2009-08-30  Morten Welinder <terra@gnome.org>

	* Release 1.9.11

2009-08-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (help_permutationa): new
	(gnumeric_permutationa): new
	(stat_functions): add PERMUTATIONA
	* plugin.xml.in: add PERMUTATIONA

2009-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.9.10

2009-08-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: remove argument names from GnmFuncDescriptor

2009-08-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: skip "calculate(s)" and "return(s)" in NAME records

2009-07-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (gnumeric_linest): in the non-affine case the
	  intercept has no (non-zero) standard error

2009-06-21  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: use GNM_FUNC_HELP_EXCEL throughout and add a
	few GNM_FUNC_HELP_ODF

2009-06-20  Morten Welinder <terra@gnome.org>

	* Release 1.9.9

2009-06-17  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_fisher): This is just atanh.
	(gnumeric_fisherinv): This is just tanh.

2009-06-16  Morten Welinder  <terra@gnome.org>

	* functions.c: Start adding external references to a few
	functions.

2009-05-23  Morten Welinder <terra@gnome.org>

	* Release 1.9.8

2009-05-11  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_ssmedian): Simplify.
	(gnumeric_frequency): Simplify.

2009-05-06  Morten Welinder <terra@gnome.org>

	* Release 1.9.7

2009-04-30  Morten Welinder  <terra@gnome.org>

	* functions.c (help_linest): You twitter, we fix.

2009-04-25  Morten Welinder <terra@gnome.org>

	* Release 1.9.6

2009-03-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.5

2009-03-05  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c (stat_functions): mark all argument strings translatable

2009-02-22  Morten Welinder <terra@gnome.org>

	* Release 1.9.4

2008-12-08  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_trimmean): Plug leak.
	(gnumeric_rank): Plug leak.

2008-11-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: make arguments names in function description consistent with
	  names in GnmFuncDescriptor

2008-11-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: fix WEIBULL see-also

2008-11-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: convert all function descriptions to the new format

2008-11-05  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_growth, gnumeric_trend): Fix crasher
	#559363.

2008-10-18  Jody Goldberg <jody@gnome.org>

	* Release 1.9.3

2008-09-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* functions.c: (help_linest): correct desription (and convert
	  to new format)

2008-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.9.2

2008-07-23  Morten Welinder  <terra@gnome.org>

	* functions.c: (gnumeric_small, gnumeric_large,
	gnumeric_percentile, gnumeric_quartile, gnumeric_trimmean): Use
	new COLLECT_SORT and simplify.
	(gnumeric_trimmean): Change to an argv function and simplify
	greatly.
	(gnumeric_rank, gnumeric_min, gnumeric_max, gnumeric_maxa,
	gnumeric_mina, gnumeric_percentrank): Use new
	COLLECT_ORDER_IRRELEVANT.

2008-06-25  Jody Goldberg <jody@gnome.org>

	* Release 1.9.1

2008-06-24  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_rank): Fix crash and error handling.
	Fixes #540015.

2008-06-23  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_percentrank): Handle errors correctly.
	Don't leak.  Compute the right thing.  Fixes #539672.
	(gnumeric_growth): Plug leaks.  Fixes #539827.

2008-06-22  Morten Welinder  <terra@gnome.org>

	* functions.c (range_intercept, range_slope): Check that we have
	points at all.  [#539648]

2008-06-17  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_ztest): No longer a nodes type function.
	Handle optional third argument.  Fixes #405958.

2008-05-24  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_trend): Fix error handling and don't
	evaluate things twice.  Fixes #534587.

2008-05-16  Jean Brefort  <jean.brefort@normalesup.org>

	* functions.c (gnumeric_linest, gnumeric_logreg): Fix code to
	order range.  Fixes #533263.

2008-05-04  Jody Goldberg <jody@gnome.org>

	* Release 1.9.0

2007-12-21  Jody Goldberg <jody@gnome.org>

	* Release 1.8.0

2007-12-03  Jody Goldberg <jody@gnome.org>

	* Release 1.7.91

2007-11-19  Jody Goldberg <jody@gnome.org>

	* Release 1.7.90

2007-11-18  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_ttest): Welcome to the 21st century.

2007-11-17  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_chitest): Welcome to the 21st century.
	(gnumeric_ftest): Welcome to the 21st century.

2007-11-16  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_chitest): Fix #497477, but function needs
	life support.

2007-11-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.14

2007-10-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.13

2007-09-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.12

2007-07-25  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_small) : rework to be fixed, not var-arg.
	  Fixes implicit intersection/iteration.  [#343176 partial]
	(gnumeric_small) : ditto.

2007-07-24  Jody Goldberg <jody@gnome.org>

	* Release 1.7.11

2007-07-22  Jody Goldberg <jody@gnome.org>

	Coverity reports 68-70.
	* functions.c (gnumeric_linest) : init nx in the ARRAY case to make
	  coverity happy and make the code clearer.
	(gnumeric_logreg) : ditto.
	(gnumeric_logest) : ditto.

2007-07-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* function.c (gnumeric_tinv): avoid obviously wrong answers

2007-07-19  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* function.c (gnumeric_tdist): use gnm_float for  degrees of
	  freedom since pt call converts to gnm_float anyways.
	(gnumeric_tinv): use gnm_float for  degrees of freedom since
	  qt call converts to gnm_float anyways

2007-05-03  Morten Welinder <terra@gnome.org>

	* Release 1.7.10

2007-04-21  Morten Welinder <terra@gnome.org>

	* Release 1.7.9

2007-03-28  Jean Brefort  <jean.brefort@normalesup.org>

	* functions.c: use new names for range and regression functions.

2007-03-04  Morten Welinder <terra@gnome.org>

	* Release 1.7.8

2007-02-16  Morten Welinder <terra@gnome.org>

	* Release 1.7.7

2006-12-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.6

2006-12-04  Jody Goldberg <jody@gnome.org>

	* Release 1.7.5

2006-11-20  Jody Goldberg <jody@gnome.org>

	* Release 1.7.4

2006-11-19  Morten Welinder <terra@gnome.org>

	* Release 1.7.3

2006-10-17  Jody Goldberg <jody@gnome.org>

	* Release 1.7.2

2006-10-02  Jody Goldberg <jody@gnome.org>

	* Release 1.7.1

2006-05-31  Jody Goldberg <jody@gnome.org>

	* functions.c (cb_rank) : Adjust to signature change in CellIterFunc.
	(cb_list) : ditto.

2006-05-08  Jody Goldberg <jody@gnome.org>

	* Release 1.7.0

2006-05-08  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_subtotal) : fix COUNT/COUNTA

2006-03-14  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_correl): Ignore blanks as advertised.
	(gnumeric_covar): Ditto.
	(gnumeric_rsq): Ditto.
	(gnumeric_intercept): Ignore blanks.  (Which isn't advertised, but
	makes sense.)
	(gnumeric_slope): Ditto.

2006-03-07  Morten Welinder  <terra@gnome.org>

	* functions.c (TINV, TDIST): Add warnings about parameterization
	being non-standard.  [#333313]

2006-01-09  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_expondist): Simplify.
	(gnumeric_binomdist): Ditto.
	(gnumeric_cauchy): Ditto.
	(gnumeric_weibull): Ditto.
	(gnumeric_normdist): Ditto.
	(gnumeric_hypgeomdist): Fix "cuml" option parsing.
	(gnumeric_gammadist): Ditto.

2005-11-14  Jody Goldberg <jody@gnome.org>

	* Release 1.6.1

2005-10-10  Jody Goldberg <jody@gnome.org>

	* Release 1.6.0

2005-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.90

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.5

2005-08-28  Morten Welinder <terra@gnome.org>

	* Release 1.5.4

2005-08-15  Morten Welinder <terra@gnome.org>

	* Release 1.5.3

2005-06-13  Jody Goldberg <jody@gnome.org>

	* Release 1.5.2

2005-05-11  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_lognormdist) : stddev <= 0 == #NUM! not #DIV/0!
	(gnumeric_standardize) : ditto.
	(gnumeric_normdist) : ditto.
	(gnumeric_confidence) : ditto.  Additionally size <= 0 == #NUM! too

2005-05-10  Jody Goldberg <jody@gnome.org>

	* Release 1.5.1

2005-04-19  Morten Welinder  <terra@gnome.org>

	* functions.c (range_trimmean): Fix rounding problem and use
	range_average.

2005-04-02  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* function.c (help_normdist): correct help text.

2005-02-10  Jon K Hellan  <hellan@acm.org>

	* functions.c: Improve exponential power help text. (Thanks to
	NIST DATAPLOT).

2005-02-08  Jody Goldberg <jody@gnome.org>

	* Release 1.5.0

2005-01-17  Jody Goldberg <jody@gnome.org>

	* Release 1.4.2

2005-01-13  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_logreg, gnumeric_logest): Handle empty
	case.  Prevent crash in unimplemented array case.
	(gnumeric_growth, gnumeric_trend): Handle empty case.

2005-01-09  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_trend) : fix the example in the help text

2004-12-09  Jody Goldberg <jody@gnome.org>

	* Release 1.4.1

2004-11-28  Jody Goldberg <jody@gnome.org>

	* Release 1.4.0

2004-11-07  Jody Goldberg <jody@gnome.org>

	* Release 1.3.93

2004-10-31  Jody Goldberg <jody@gnome.org>

	* Release 1.3.92

2004-10-30  Andreas J. Guelzow <aguelzow@taliesin.ca>

	http://bugzilla.gnome.org/show_bug.cgi?id=156734
	* functions.c (help_stdev): clarify
	(help_stdeva): ditto
	(help_stdevp): ditto
	(help_stdevpa): ditto
	(help_var): ditto
	(help_vara): ditto
	(help_varp): ditto
	(help_varpa): ditto

2004-10-05  Jody Goldberg <jody@gnome.org>

	* Release 1.3.91

2004-09-08  Jody Goldberg <jody@gnome.org>

	* Release 1.3.90

2004-09-08  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c (gnumeric_tdist): fix handling of negative x for
	  tails == 2.
	(help_tdist): document changes

2004-08-29  Jody Goldberg <jody@gnome.org>

	* Release 1.3.2

2004-08-13  Jody Goldberg <jody@gnome.org>

	* functions.c (callback_function_rank) : XL and OO appear to just
	  ignore non-numeric data.

2004-07-26  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_harmean): Fix to return #NUM! on error.
	(gnumeric_geomean): Ditto.

2004-07-19  Jody Goldberg <jody@gnome.org>

	* Release 1.3.1

2004-07-12  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_linest): Flip columns when out of order.
	Fixes 146751.

2004-04-15  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_ftest): Improve precision when we end up
	using the left tail.
	(gnumeric_ztest): Welcome this to the 21st century.
	(gnumeric_hypgeomdist): Add optional "cumulative" argument.

2004-04-12  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_fisher): Use log1pgnum.

2004-03-28  Jody Goldberg <jody@gnome.org>

	* Release 1.3.0

2003-12-23  Jody Goldberg <jody@gnome.org>

	* Release 1.2.3

2003-11-26  Jody Goldberg <jody@gnome.org>

	* Release 1.2.2

2003-10-08  Jody Goldberg <jody@gnome.org>

	* Release 1.2.1

2003-09-30  Morten Welinder  <terra@gnome.org>

	* functions.c (gnumeric_frequency): Rewrite in terms of modern
	collect functions.

2003-09-15  Jody Goldberg <jody@gnome.org>

	* Release 1.2.0

2003-09-10  Jody Goldberg <jody@gnome.org>

	* Release 1.1.90

2003-08-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.20

2003-07-05  Jody Goldberg <jody@gnome.org>

	* functions.c (callback_function_rank) : new eval semantics do not
	  guarantee that range content has been evaluated before calling.
	(callback_function_list) : ditto.

2003-07-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c : ssmedian is GNM_FUNC_IMPL_STATUS_UNIQUE_TO_GNUMERIC

2003-06-28  Jody Goldberg <jody@gnome.org>

	* functions.c : fix status of SUBTOTAL

2003-06-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c : add missing @const to the documentation of TREND

2003-06-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c : small corrections in function descriptions

2003-06-14  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c : make second argumanet to SSMEDIAN optional
	  and fix a bunch of documentation errors

2003-06-13  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c : added new function SSMEDIAN
	* plugin.xml.in : added new function SSMEDIAN

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.19

2003-06-07  Jody Goldberg <jody@gnome.org>

	* Release 1.1.18

2003-05-11  Jody Goldberg <jody@gnome.org>

	* Release 1.1.17

2003-01-28  Jody Goldberg <jody@gnome.org>

	* Release 1.1.16

2002-12-31  Jody Goldberg <jody@gnome.org>

	* Release 1.1.15

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.14

2002-12-22  Jody Goldberg <jody@gnome.org>

	* Release 1.1.13

2002-12-02  Morten Welinder  <terra@diku.dk>

	* functions.c: Doc fix, see 100048.

2002-11-30  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_subtotal) : Use the new hooks to implement the
	  magic for filters and other subtotals.  Fix the documentation so
	  that subtotal appears in the lists.

2002-11-15  Jody Goldberg <jody@gnome.org>

	* Release 1.1.12

2002-11-07  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_logreg, gnumeric_logfit):  correct status.

2002-11-06  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_gammaln): Use lgammagnum, not lgamma.

2002-11-05  Andreas J. Guelzow <aguelzow@taliesin.ca> for
	Olaf Till <i7tiol@t-online.de>

	* functions.c (gnumeric_logreg, gnumeric_logfit): New.

2002-11-04  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_rayleigh): Add parameter check.
	(gnumeric_rayleightail): Ditto.
	(gnumeric_exppowdist): Ditto.
	(gnumeric_laplace): Ditto.
	(gnumeric_pareto): Ditto.
	(gnumeric_logistic): Ditto.

2002-11-04  Morten Welinder  <terra@diku.dk>

	* functions.c: Adapt to new autoformat specs.

2002-11-01  Jody Goldberg <jody@gnome.org>

	* functions.c (gnumeric_poisson) : poisson is defined for x == 0

2002-11-01  Jody Goldberg <jody@gnome.org>

	* Release 1.1.11

2002-10-27  Jody Goldberg <jody@gnome.org>

	* Release 1.1.10

2002-10-25  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_gammainv): Don't declare floating point
	arguments as int.

2002-09-30  Jody Goldberg <jody@gnome.org>

	* Release 1.1.9

2002-09-22  Jon K Hellan  <hellan@acm.org>

	* functions.c (help_bernoulli): Fix typo in help xref.

2002-08-25  Jody Goldberg <jody@gnome.org>

	* Release 1.1.8

2002-08-12  Jody Goldberg <jody@gnome.org>

	* Release 1.1.7

2002-07-22  Zbigniew Chyla  <cyba@gnome.pl>

	* plugin.xml.in: Set loader type to "Gnumeric_Builtin:module".

2002-07-28  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* functions.c: Even more function description clean up.

2002-07-27  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* functions.c: Function description clean up.

2002-07-26  Jukka Pekka  <jiivonen@hutcs.cs.hut.fi>

	* functions.c (gnumeric_cauchy): Use R's distribution.

2002-07-25  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_fisherinv): Improve precision near y = 0.

2002-07-21  Jody Goldberg <jody@gnome.org>

	* Release 1.1.6

2002-07-01  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_permut): Use permut function.

2002-06-21  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_negbinomdist): Use R's distribution
	function for better precision.
	(gnumeric_hypgeomdist): Ditto.

2002-06-19  Morten Welinder  <terra@diku.dk>

	* functions.c (gnumeric_weibull): Adjust to changes in pweibull.
	(gnumeric_expondist): Adjust to changes in pexp.

2002-06-11  Jody Goldberg <jody@gnome.org>

	* functions.c (callback_function_count) : only count ints and floats,
	  not booleans.

2002-06-01  Jody Goldberg <jody@gnome.org>

	* functions.c (stat_functions) : don't translate the empty string.

2002-05-29  Jody Goldberg <jody@gnome.org>

	* Release 1.1.4

2002-05-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c : added new function CRONBACH
	* plugin.xml.in : added new function CRONBACH

2002-05-03  Andreas J. Guelzow <aguelzow@taliesin.ca>

	* functions.c : mark argument names for translation and adjust
	  them for use by the formula guru.
